#
# ---------------------------------------------------------------------
#
# GLPI tools
#
# @copyright 2017-2022 Teclib' and contributors.
# @licence   https://www.gnu.org/licenses/gpl-3.0.html
# @link      https://github.com/glpi-project/tools
#
# ---------------------------------------------------------------------
#
# LICENSE
#
# This file is part of GLPI tools.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
# ---------------------------------------------------------------------
#

name: "Build package"
description: "Build a plugin's package"
inputs:
  plugin-version:
    description: "Plugin version to release"
    required: true
outputs:
  package-basename: 
    description: "Built package basename"
  package-path: 
    description: "Built package path"
runs:
  using: "docker"
  image: "Dockerfile"
  env:
    PLUGIN_VERSION: ${{ inputs.plugin-version }}
